curl --request PUT \
--url https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Getting Started"
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}"
payload = { "name": "Getting Started" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Getting Started\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Getting Started\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Getting Started'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Getting Started'})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "Getting Started",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parentId": "1fa85f64-5717-4562-b3fc-2c963f66afa6",
"articleCount": 5,
"position": 0,
"type": "FOLDER",
"scope": "INTERNAL",
"root": false,
"hasChildren": true,
"childList": "<array>",
"source": "CONFLUENCE",
"visibility": "PUBLIC"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Update content tree node
Updates an existing content tree node.
Required scope: Enable one of: knowledge-base:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Getting Started"
}
'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}"
payload = { "name": "Getting Started" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"Getting Started\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Getting Started\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Getting Started'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Getting Started'})
};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/content-tree/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "Getting Started",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parentId": "1fa85f64-5717-4562-b3fc-2c963f66afa6",
"articleCount": 5,
"position": 0,
"type": "FOLDER",
"scope": "INTERNAL",
"root": false,
"hasChildren": true,
"childList": "<array>",
"source": "CONFLUENCE",
"visibility": "PUBLIC"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the tree node.
Body
New name of the tree node.
1"Getting Started"
Response
Content tree node updated successfully
Name of the tree node.
"Getting Started"
Unique identifier of the tree node.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Identifier of the parent tree node.
"1fa85f64-5717-4562-b3fc-2c963f66afa6"
Number of articles in this node.
5
Ordinal position of the node among siblings.
0
Type of the tree node.
CATEGORY, FOLDER, ARTICLE "FOLDER"
Content scope of the node.
INTERNAL, EXTERNAL "INTERNAL"
Whether this is a root node.
false
Whether this node has child nodes.
true
Child nodes of this tree node.
External source of the node, if imported.
CSV, SHAREPOINT, CONFLUENCE "CONFLUENCE"
Visibility of the node.
PRIVATE, PUBLIC "PUBLIC"